WORMS(6) | Games Manual | WORMS(6)

# NAME

`worms` —
animate worms on a display terminal

# SYNOPSIS

`worms` | [`-ft`] [`-d` delay] [`-l` length] [`-n` number] [`-S` seed]

# DESCRIPTION

`worms` is a UNIX version of the DEC-2136 program “worms”.

The options are as follows:

`-d` delay
  Specifies a delay, in milliseconds, between each update. This is useful for fast terminals. Reasonable values are around 20-200; the default is 20.
`-f`
  Makes a “field” for the worm(s) to eat.
`-l` length
  Specifies the length of each worm; the default is 16, the minimum is 2.
`-n` number
  Specifies the number of worms; the default is 3. There must be at least one.
`-S` seed
  Provide an integer seed for the random number generator. Specifying zero (0, the default) causes a random seed to be used.
`-t`
  Makes each worm leave a trail behind it.

The maximum length, and number, of worms depends upon the screen size, though the length can never exceed 1024. If the screen is particularly small, even the defaults for those may be too large. Screens with less than 3 rows or columns cannot be handled, nor can ones with insufficient total space.

April 17, 2023 | NetBSD 10.1